/* file: _variable */
/* btn */
/* border */
/* txt */
/* bg */
/* file: sklife.sass */
/* ============================================================ */
/*               shin kong life  style                          */
/* ============================================================ */
/* ============================================================ */
/*                      top menu                                 */
/* ============================================================ */
.top-bar .logo.styleSKB {
  background-image: url("../img/skbank/logo-skb@2x.png");
  background-size: auto 28px;
  background-position: center center;
  width: 240px;
}

.main-wrapper {
  position: absolute;
}

.marquee {
  line-height: 27px;
  font-size: 16px;
  min-height: 28px;
  height: auto;
  transition: height 0.3s cubic-bezier(0.075, 0.82, 0.165, 1);
  width: 100%;
  max-width: 768px;
  margin: 0 auto;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.marquee-wrapper {
  color: #000;
  background: #f1f1f1;
  border: 1px #ccc;
  border-bottom-style: solid;
  overflow: hidden;
  z-index: -2;
  padding: 50px 10px 0 10px;
}

.marquee-wrapper .swiper-wrapper {
  z-index: 1;
}

/* 台外幣餘額 */
.msg-bubble.account-balance {
  padding: 0;
  overflow: auto;
}

.msg-bubble.account-balance > .title {
  padding: 10px 1rem;
  background-color: #e1251b;
  color: #fff;
  display: flex;
  align-content: center;
  justify-content: center;
  align-items: center;
}

.msg-bubble.account-balance > .item-list > .item {
  display: flex;
  flex-wrap: wrap;
  align-content: center;
  justify-content: center;
  align-items: center;
}

.msg-bubble.account-balance > .item-list > .item a {
  color: blue;
  text-decoration: underline;
}

.msg-bubble.account-balance > .item-list > .item > div {
  border: 0.5px solid rgb(204 204 204 / 50%);
  padding: 5px 1rem;
  display: flex;
  flex: 1;
  flex-direction: column;
  justify-content: center;
  align-content: center;
  align-items: center;
  min-width: 160px;
}

.msg-bubble.account-balance > .item-list > .item > div > .name {
  font-size: 0.85rem;
}

.msg-bubble.account-balance > .item-list > .item > div > .value {
  font-size: 1rem;
  font-weight: bold;
}


@media only screen and (max-width: 420px) {

  .msg-bubble.account-balance > .item-list > .item > div {
    flex: auto;
    min-width: 160px;
  }

  .msg-bubble.account-balance > .item-list > .item > div.currency {
    border-top: 2px solid rgb(204 204 204 / 100%);
  }

  .msg-bubble.account-balance > .item-list > .item:first-child > div.currency {
    border-top: none;
  }

}

/* 台外幣交易明細 */
.currencyDetails-wrapper {
  padding-left: 10px;
  padding-right: 10px;
  width: 95%;
  max-width: 768px;
  max-height: 50vh;
  background: #fff;
  overflow: auto;
}

#currencyDetails-title {
  position: absolute;
  left: 0;
  right: 0;
  top: 24px;
  margin: auto;
  max-width: calc(100% - 100px);
  height: auto;
  line-height: 1.2rem;
}

.currencyDetails-wrapper .row {
  padding: 10px 15px;
}

.currencyDetails-wrapper table {
  width: 100%;
  margin: 0 auto;
}

.currencyDetails-wrapper table tr {
  border-top: 1px solid #ccc;
}

.currencyDetails-wrapper table tr:first-child {
  border-top: none;
}

.currencyDetails-wrapper table tr > .name {
  width: 22%;
}

.currencyDetails-wrapper table tr > .expenditure {
  width: 25%;
  text-align: right;
  color: red;
}

.currencyDetails-wrapper table tr > .income {
  width: 25%;
  text-align: right;
}

.currencyDetails-wrapper table tr > .balance {
  width: 28%;
  text-align: right;
}

.currencyDetails-wrapper table tr th {
  color: #4CAF50 !important;
}

.currencyDetails-wrapper table tr th,
.currencyDetails-wrapper table tr td {
  font-size: 0.9rem;
  font-weight: bold;
  vertical-align: text-top;
  padding: 0 1px;
}

.currencyDetails-wrapper .info {
  font-size: 0.9rem;
  font-weight: bold;
}

.currencyDetails-wrapper .notice {
  font-size: 0.8rem;
  padding-left: 20px;
}

/* 登出按鈕 */
.top-bar .top-toggle {
/*     position: absolute; */
    right: 0;
    height: 40px;
    width: 40px;
    cursor: pointer;
    background-image: url(../img/topmenu-open@2x.png);
    background-size: auto 24px;
}

.btn_logout {
    position: absolute;
    right: 80px;
    width: auto;
    font-size: 0.85rem;
    color: #fff !important;
    border: 2px solid #fff;
    border-radius: 4px;
    padding: 0px 5px;
    cursor: pointer;
}

/* 結束對話確認視窗 */
.overlay {
    position: absolute;
    width: 100vw;
    height: 100%;
    top: 0;
    left: 0;
    background: rgba(0, 0, 0, 0.5);
    z-index: 99;
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.3s;
}

.overlay.active {
    pointer-events: auto;
    visibility: visible;
    opacity: 1;
    transition: opacity 0.3s;
}

.exit-wrapper {
    width: 100vw;
    height: 100vh;
    overflow-y: scroll;
    display: -ms-flexbox;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.exit {
    width: 90% !important;
    max-width: 450px;
    min-height: 100px;
    flex: 0 0 auto;
    margin: auto;
    border-radius: 10px;
    background-color: white;
    padding: 20px 20px;
    box-shadow: 0 2px 8px 0 rgb(153, 153, 153);
}

.exit-header {
    font-size: 1.15rem;
    color: #7F7F7F;
    border-bottom: 1px solid #CCC;
    position: relative;
    padding-bottom: 10px;
}

.exit-header .title {
    font-size: 1.25rem;
    font-weight: 500;
    color: #4c4c4c;
    margin: 0;
    text-align: center;
    width: calc(100% - 30px);
    padding-left: 30px;
}

.exit-header .close-btn {
    display: inline-block;
    width: 24px;
    height: 24px;
    background: url(../img/menu-close-red@2x.png) 0 0 no-repeat;
    background-position: 50% 50%;
    background-size: 24px;
    position: absolute;
    top: 0;
    right: 0;
    cursor: pointer;
}

.exit-header p {
    margin-bottom: 20px;
}

.exit-content {
    margin-top: 20px;
    display: flex;
    justify-content: space-between;
}

.exit-content .btn {
    width: calc(50% - 10px);
}

.exit-content .exit-yes-btn {
    background: #E1251B;
    color: #fff;
}

/* 服務時間說明 top menu 調整 */
.tmenu-list li a.tmenu-item span.tmenu-item-in {
  max-width: 230px;
}

@media only screen and (max-height: 768px) {

  .swiper-container.mainmenu-swiper {
    max-width: 400px;
    height: auto;
  }

  .mmenu-tab-panel.active {
    height: calc(80vh - 280px);
  }
}

@media only screen and (max-width: 600px) {
    .btn_logout {
        left: 15px;
        right: unset;
    }
}
